## what is this
My name is Jocelyn, otherwise known as Joss, Josie or sleppo04. This is my blog.
On here, I'll post my ramblings about programming and tech in general, music, video games
and other things that I may or may not be qualified to talk about.

Topics I want to cover include:

* Programming (especially games, graphics)
* Hardware hacking projects
* Music discussion
* Ramblings about movies and/or shows I enjoy
* My perspective on the queer community 

This list is non-exclusive. Once I get around to implementing it, my blog will have a tag/category system
to classify blog posts for your (and my) convenience. Also, my blog posts have a *minimum length*, because
this is not a micro blogging service. Due to this, blog posts can take quite some time to write.

One last thing: As of now, my blog does _not_ feature a "last updated" time feature, but I will still update
posts occasionally (for fixing mistakes and correcting things). If I need to make a bigger change I will annotate
that in some way for transparency. If you want to see the whole editing history, you can check out the blog on my
[git page](https://git.jossco.de).

## why is this
I wanted to have my own blog for quite some time now. When I started renting my own server
sometime around October of 2023 I decided to take the opportunity, and did... nothing for over half a year. Yeah.
Now it's already June, and after messing around with stuff I finally have a workflow I'm somewhat comfortable
with... for  now.

In case it's not already clear, this blog (and my site in general) is heavily inspired by the ever-awesome
Fabien Sanglard and [his blog](https://fabiensanglard.net).

## how is this
Fine, thank you ^^ (blog talking here)

All jokes aside: This blog is written in *Markdown*, and compiled to static HTML using a custom setup
involving [Pandoc](https://pandoc.org). My setup is like that because I like having total control
over the workflow, and because I have *unusual* requirements (for example: all my pages have to be **usable and
completely functioning** even without the CSS applied). Also, 100% server side, no JavaScript at all.

> Fun fact: My blog uses the same stylesheet as [my homepage](https://jossco.de), so style updates will be reflected on both pages. Neat!

Static HTML pages have several advantages, like easy backup and relative independence from server architecture.
Also, they are the optimal case for _HTTP caching_. Other advantages are left up as an exercise to the reader.

I plan on moving the hosting setup to a Plan9 compatible solution (like [werc](https://werc.cat-v.org)) at some point.

## when is this
now

## thank you...
...for reading this introduction into the wonderful world that is my blog. Stay tuned for new entries! I don't have a schedule,
and knowing myself I will probably take several months to get something new out...

Until then,
 
Jocelyn 🩷
